Skip to main content
GET
/
v4
/
routing-form
/
{id}
Get routing form
curl --request GET \
  --url https://api.example.com/v4/routing-form/{id} \
  --header 'x-meetergo-api-user-id: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "structureType": "FORM_ONLY",
  "slug": "<string>",
  "title": {
    "en": "Thank you!",
    "de": "Vielen Dank!"
  },
  "actionButtonText": {
    "en": "Thank you!",
    "de": "Vielen Dank!"
  },
  "blockEmails": true,
  "blockedEmails": [
    "<string>"
  ],
  "useFullName": true,
  "skipForm": true,
  "showProgressBar": true,
  "disableModalInEmbed": true,
  "sendRoutingFormSubmissionNotification": true,
  "notificationUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "notificationEmail": "<string>",
  "redirectAfterSubmission": true,
  "redirectUrl": "<string>",
  "allowSaveAndReturn": true,
  "showCompanyLogo": true,
  "webhookUrl": "<string>",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "qualifiers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "index": 123,
      "routingAction": "customPage",
      "expression": {
        "operator": "and",
        "operands": [
          {
            "operator": "equals",
            "target": "attendeeEmail",
            "value": "<string>",
            "customTarget": "<string>"
          }
        ]
      },
      "isFallback": true,
      "meetingTypeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "meetingTypeUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "queueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalRedirectLink": "<string>",
      "contactFormEmail": "<string>",
      "redirectFormId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "customPageContent": {
        "en": "Thank you!",
        "de": "Vielen Dank!"
      },
      "customFormTitle": {
        "en": "Thank you!",
        "de": "Vielen Dank!"
      },
      "showThankYouOnCustomPage": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "funnelSteps": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "index": 123,
      "dataFields": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "order": 123,
          "dataFieldId": 123,
          "dataField": {
            "id": 123,
            "label": "<string>",
            "name": "<string>",
            "target": "email",
            "fieldType": "email",
            "required": true,
            "hidden": true,
            "default": true,
            "mutable": true,
            "defaultValue": "<string>",
            "placeholder": "<string>",
            "locales": [
              {
                "locale": "<string>",
                "label": "<string>"
              }
            ],
            "options": [
              {
                "label": "<string>",
                "value": "<string>",
                "image": "<string>",
                "icon": "<string>"
              }
            ],
            "slideOptions": {
              "description": "<string>",
              "multiselect": true,
              "type": "checkbox",
              "hideLabel": true
            },
            "fileFieldOptions": {
              "allowedExtensions": [
                "<string>"
              ],
              "maxFileSizeMB": 5,
              "maxFiles": 1,
              "enableCameraCapture": false
            },
            "contactOptions": {
              "salutation": false,
              "firstName": true,
              "lastName": true,
              "email": true,
              "phone": true,
              "mobile": false,
              "birthdate": false,
              "street": false,
              "addressSupplement": false,
              "zip": false,
              "city": false,
              "country": false
            },
            "bankDetailsOptions": {
              "showBic": true,
              "showAccountHolder": true,
              "showSignature": false
            },
            "licensePlateOptions": {
              "countryFilter": "all"
            },
            "pdfTemplateOptions": {
              "fileAssetId": "<string>",
              "pdfmeTemplate": {},
              "requireSignature": false,
              "requireSignatureOtp": false
            },
            "fileDownloadOptions": {
              "fileAssetIds": [
                "<string>"
              ],
              "fileNames": {}
            },
            "min": 123,
            "max": 123,
            "style": 123,
            "defaultCountryCode": "<string>",
            "useMarkdown": true,
            "helpText": "<string>",
            "displayStyle": "<string>",
            "conditions": {},
            "headingLevel": 123,
            "hideUntilChange": true,
            "showInfobox": true,
            "infoboxText": "<string>",
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z"
          }
        }
      ]
    }
  ],
  "fields": [
    {
      "dataFieldId": 123,
      "index": 123,
      "dataField": {
        "id": 123,
        "label": "<string>",
        "name": "<string>",
        "target": "email",
        "fieldType": "email",
        "required": true,
        "hidden": true,
        "default": true,
        "mutable": true,
        "defaultValue": "<string>",
        "placeholder": "<string>",
        "locales": [
          {
            "locale": "<string>",
            "label": "<string>"
          }
        ],
        "options": [
          {
            "label": "<string>",
            "value": "<string>",
            "image": "<string>",
            "icon": "<string>"
          }
        ],
        "slideOptions": {
          "description": "<string>",
          "multiselect": true,
          "type": "checkbox",
          "hideLabel": true
        },
        "fileFieldOptions": {
          "allowedExtensions": [
            "<string>"
          ],
          "maxFileSizeMB": 5,
          "maxFiles": 1,
          "enableCameraCapture": false
        },
        "contactOptions": {
          "salutation": false,
          "firstName": true,
          "lastName": true,
          "email": true,
          "phone": true,
          "mobile": false,
          "birthdate": false,
          "street": false,
          "addressSupplement": false,
          "zip": false,
          "city": false,
          "country": false
        },
        "bankDetailsOptions": {
          "showBic": true,
          "showAccountHolder": true,
          "showSignature": false
        },
        "licensePlateOptions": {
          "countryFilter": "all"
        },
        "pdfTemplateOptions": {
          "fileAssetId": "<string>",
          "pdfmeTemplate": {},
          "requireSignature": false,
          "requireSignatureOtp": false
        },
        "fileDownloadOptions": {
          "fileAssetIds": [
            "<string>"
          ],
          "fileNames": {}
        },
        "min": 123,
        "max": 123,
        "style": 123,
        "defaultCountryCode": "<string>",
        "useMarkdown": true,
        "helpText": "<string>",
        "displayStyle": "<string>",
        "conditions": {},
        "headingLevel": 123,
        "hideUntilChange": true,
        "showInfobox": true,
        "infoboxText": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "cssSetting": {
    "mode": 0,
    "inlineCss": "<string>"
  },
  "cssWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

x-meetergo-api-user-id
string
header
required

User ID to act as when using API Key authentication (required with API Key)

Path Parameters

id
string<uuid>
required

Response

id
string<uuid>
name
string
structureType
enum<string>
Available options:
FORM_ONLY,
FUNNEL_WITH_FORM,
FUNNEL_ONLY
slug
string
title
object

Localized content map (key = language code, value = text)

Example:
{ "en": "Thank you!", "de": "Vielen Dank!" }
actionButtonText
object

Localized content map (key = language code, value = text)

Example:
{ "en": "Thank you!", "de": "Vielen Dank!" }
blockEmails
boolean
blockedEmails
string[]
useFullName
boolean
skipForm
boolean
showProgressBar
boolean
disableModalInEmbed
boolean
sendRoutingFormSubmissionNotification
boolean
notificationUserId
string<uuid>
notificationEmail
string
redirectAfterSubmission
boolean
redirectUrl
string
allowSaveAndReturn
boolean
webhookUrl
string
companyId
string<uuid>
userId
string<uuid>
workspaceId
string<uuid>
createdAt
string<date-time>
updatedAt
string<date-time>
qualifiers
object[]
funnelSteps
object[]
fields
object[]
cssSetting
object
cssWorkspaceId
string<uuid>